Ignore unreadable subversion directories (read disabled using authz)

2008-06-04 12:47 - Sergio Talens-Oliag

Status: Closed Start date: 2008-06-04

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version: 0.7.2   

Description

While testing Redmine with an existing Subversion repository I've found that the browser fails to generate the full list of directories

when there is an unreadable directory (it is not readable because the user used by redmine does not have the right on the repository

authz file).

The problem appears because redmine stops processing the svn list --xml output when it processes the unreadable directory, as it

does not provide the author and date elements for the last commit (the code throws an exception when updating the lastrev's time

attribute, as it tries to get the text value of the date element, but date is nil).

I've patched the code to ignore directory entries that do not have the date element, that way the unreadable directories are not shown

on the repository browser and the list of entries is generated correctly.

My patch is attached to this issue.

I have not tried, but probably another way of fixing the problem would be to test if the date is nil when computing the lastrev's time

attribute, that will show the directory on the browser and will fail only when trying to browse it.

Associated revisions

Revision 1500 - 2008-06-07 12:08 - Jean-Philippe Lang

Subversion adapter: ignore directories with no commit date (#1370).

History

#1 - 2008-06-07 12:04 - Jean-Philippe Lang

- Status changed from New to Closed

Patch applied in r1500. Thanks.
